## casper 1.455

=== debian/changelog ===
casper (1.455) groovy; urgency=medium

  * Use a tmpfs in tests; overlay is not compatible with zfs.
  * Make tests work when host kernel does not match that in the test env.
  * Properly handle echo -e for dash vs busybox in initramfs.
  * Limit our dd to only change 16 bytes in the MBR regardless of input,
    to avoid major damage from any future shell bugs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Oct 2020 09:51:20 -0700

casper (1.454) groovy; urgency=medium

  * Based on feedback from Thomas Schmitt, make the bootable partition a
    separate partition at sector zero like xorriso does, because some UEFI
    implementations may wrongly ignore a disk with a protective MBR marked
    bootable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Oct 2020 14:28:32 -0700

casper (1.453) groovy; urgency=medium

  * If creating a persistent partition, manually restore a 'bootable' flag
    on any protective MBR, if present, to ensure compatibility with BIOS
    implementations which require this.  This is slightly different from
    the xorriso implementation, because we mark the iso9660 partition as
    bootable instead of creating a separate empty partition, but anything
    looking at the MBR should be fine and anything that's GPT-aware should
    not care.  LP: #1899308
  * Document the VCS for this package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Oct 2020 11:34:23 -0700

casper (1.452) groovy; urgency=medium

  * casper: ask user for netmask, because we lack CIDR notation support

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Jun 2020 09:24:02 +0100

casper (1.451) groovy; urgency=medium

  * caser: revert changes to quick-boot (LP: #1883040)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Jun 2020 11:46:39 +0100

casper (1.450) groovy; urgency=medium

  * casper-functions: use either ubiquity or localechooser-data

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Jun 2020 20:40:45 +0100

casper (1.449) groovy; urgency=medium

  * interactive_netmount: fix logic setting DEVICE
  * interactive_netmount: implement default gateway & dns
  * casper-md5check: drop error about connecting to plymouth
  * casper-md5check: separate messages in text output mode

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Jun 2020 10:34:28 +0100

casper (1.448) groovy; urgency=medium

  * Fix static IP configuration.
  * mountroot: break out quicker
  * interactive_netmount: sort interfaces
  * interactive_netmount: export static IP= after vlan
  * interactive_netmount: correct VLAN export
  * Drop exposing /cow tree
  * Set a sensible netmask

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 27 May 2020 10:38:01 +0100

casper (1.447) groovy; urgency=medium

  [ Matthieu Clemenceau ]
  * Updated cmdline options in casper manpage documentation. LP: #1875548

  [ Michael Hudson-Doyle ]
  * Add interactive network configuration.

  [ Dimitri John Ledkov ]
  * Fix up interactive network configuration default ISO urls to be more
    dynamic.
  * In groovy, live-cds now have ssl support in busybox

  [ Erich Eickmeyer ]
  * Add Ubuntu Studio Calamares Installer as trusted

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 23 May 2020 03:57:20 +0100

casper (1.446) groovy; urgency=medium

  * control: add fdisk dependency

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 May 2020 19:27:17 +0100

=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config, dh-systemd
Standards-Version: 3.9.3
Vcs-Git: lp:casper

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.65ubuntu1) | ubiquity, util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils, finalrd, fdisk
Conflicts: usplash (<< 0.4-43), live-initramfs
Breaks: genext2fs (<< 1.4.1)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect, sudo, ${misc:Depends}
Enhances: ubiquity
Replaces: casper (<< 1.318)
Breaks: casper (<< 1.318)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

## casper 1.461

=== debian/changelog ===
casper (1.461) hirsute; urgency=medium

  [ Gunnar Hjalmarsson ]
  * scripts/casper-bottom/59disable_mozc_autosetup:
    - Don't set up ibus-mozc automatically in non-Japanese sessions
      (LP: #1919455)

  [ Iain Lane ]
  * Add a gbp.conf so --git-tag{,-only} works

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 22 Mar 2021 12:21:02 +0000

casper (1.460) hirsute; urgency=medium

  * Tests fail, so revert cdrom.mount unit changes.
  * Add and enable casper-md5check.service

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Mar 2021 07:25:50 +0000

casper (1.459) hirsute; urgency=medium

  * Make cdrom.mount not be bound and stop unmounting on shutdown.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Mar 2021 14:13:16 +0000

casper (1.458) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Mar 2021 14:44:09 -0800

casper (1.457) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * Do not run apt-cdrom on a live-server ISO.

  [ Dimitri John Ledkov ]
  * casper-md5check: stop blocking boot on completing the check. Instead
    run it from the runtime system, as people are trying to configure the
    installer. By the time they start to install, the check should be done
    and will generate journal logs with details of broken files in
    addition to the json state file. Run without plymouth connection and
    always verbose.
  * Booting is actually fast these days, and since casper-md5check is now
    in the runtime system, no need to force framebuffer into the
    initrd. Should make server initrd smaller and faster.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Feb 2021 20:58:22 +0000

casper (1.456) hirsute; urgency=medium

  * Support kernels with "+" in the version string (LP: #1905357).

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 02 Dec 2020 12:04:34 +0000

## casper 1.465

=== debian/changelog ===
casper (1.465) impish; urgency=medium

  * Fix typos in last upload that prevented auto log functionality from
    working at all. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Jul 2021 12:25:06 +1200

casper (1.464) impish; urgency=medium

  [ Sebastien Bacher ]
  * Add the desktop file for the ubuntu-desktop-installer snap to the list of
    desktop files added to the live session.

  [ Michael Hudson-Doyle ]
  * Only use a partition from the blockdev holding the livefs for auto logs.
    (LP: #1926137)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Jul 2021 11:31:44 +1200

casper (1.463) impish; urgency=medium

  * Allow LAYERFS_PATH to be set in configuration files.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jul 2021 22:03:47 +1200

casper (1.462) impish; urgency=medium

  * Reenable apt-cdrom on a live-server ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 11 Jun 2021 09:24:03 +1200

## casper 1.470

=== casper-md5check/Makefile ===
CC=gcc
PKG_CONFIG=pkg-config
CFLAGS := $(shell getconf LFS_CFLAGS) -Wall -Wno-unused-result -O2 -g $(shell $(PKG_CONFIG) --cflags ply-boot-client)
LDLIBS=$(shell $(PKG_CONFIG) --libs ply-boot-client)

casper-md5check: casper-md5check.c md5.c

clean:
	rm -f *.o casper-md5check

=== debian/changelog ===
casper (1.470) jammy; urgency=medium

  * Add missing include of casper-helpers, needed by the iso-scan script.
    LP: #1960457.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Apr 2022 16:00:44 +0000

casper (1.469) jammy; urgency=medium

  * Integrate lupin-casper's 20iso_scan casper-premount script so that users
    can continue to use images that provide multiple iso's to choose to boot
    from. This was no longer possible after the removal of the lupin packages
    from jammy (LP: #1960457). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 14 Apr 2022 15:04:19 +0200

casper (1.468) jammy; urgency=medium

  * casper-md5check: correctly detect fsck.mode=skip if last
    in /proc/cmdline, and add a hint for users (LP: #1892369)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 18 Mar 2022 18:02:14 -0300

casper (1.467) jammy; urgency=medium

  * Disable the Enable Ubuntu Pro notification on the live session
  * Create the installer log directory writable for adm users
    Otherwise the new desktop installer can't use it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Mar 2022 10:06:23 +0100

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --with systemd

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

check:
	# Check the syntax of any shell scripts.
	set -e; for x in $$(find -type f \! -name \*.po \! -name \*.pot -print0 | xargs -0 file -i | grep "text/x-shellscript" | cut -d':' -f1); do \
		sh -n $$x; \
	done
override_dh_systemd_enable:
	dh_systemd_enable casper.service
	dh_systemd_enable --name casper-md5check casper-md5check.service

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_installinit:
	dh_installinit --noscripts

=== debian/tests/control ===
Tests: boot
Depends: casper,
         curl,
         linux-image-generic,
         lsb-release,
         parted,
         qemu-system,
         squashfs-tools
Restrictions: needs-root, allow-stderr

## casper 1.470+11.0trisquel11

=== debian/changelog ===
casper (1.470+11.0trisquel11) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Jun 2022 23:31:19 +0000

## casper 1.470.1+11.0trisquel13

=== debian/changelog ===
casper (1.470.1+11.0trisquel13) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 08 Dec 2022 20:53:49 +0000

casper (1.470.1) jammy; urgency=medium

  * Increase memory for qemu autopkgtest instances to 1G (LP: #1976287)

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 30 May 2022 14:40:38 +0000

=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: localechooser-data,
 debhelper (>= 9.20160709), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
Standards-Version: 3.9.3
Vcs-Git: lp:casper

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: localechooser-data,
 ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.65ubuntu1) | ubiquity, util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils, finalrd, fdisk
Conflicts: usplash (<< 0.4-43), live-initramfs
Breaks: genext2fs (<< 1.4.1)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: localechooser-data,
 laptop-detect, sudo, ${misc:Depends}
Enhances: ubiquity
Replaces: casper (<< 1.318)
Breaks: casper (<< 1.318)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

## casper 1.470.2

=== debian/changelog ===
casper (1.470.2) jammy; urgency=medium

  [ Dan Bungert ]
  * d/casper.casper-md5check.service: order it After=multi-user.target.
    This should allow us to reach multi-user.target sooner, especially for
    users where the md5 check is slow. (LP: #1986781)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 27 Jan 2023 15:31:09 -0300

=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
Standards-Version: 3.9.3
Vcs-Git: lp:casper

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.65ubuntu1) | ubiquity, util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils, finalrd, fdisk
Conflicts: usplash (<< 0.4-43), live-initramfs
Breaks: genext2fs (<< 1.4.1)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect, sudo, ${misc:Depends}
Enhances: ubiquity
Replaces: casper (<< 1.318)
Breaks: casper (<< 1.318)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

## casper 1.470.2+11.0trisquel16

=== debian/changelog ===
casper (1.470.2+11.0trisquel16) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 14 Feb 2023 06:02:35 +0000

## casper 1.470.2+11.0trisquel17

=== debian/changelog ===
casper (1.470.2+11.0trisquel17) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Feb 2023 21:09:15 +0000

## casper 1.470.3

=== debian/changelog ===
casper (1.470.3) jammy; urgency=medium

  * scripts/casper: Use '-latest' links to download images (LP: #1990621).

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 26 Jul 2023 15:44:35 +0300

## casper 1.475

=== debian/changelog ===
casper (1.475) kinetic; urgency=medium

  [ Sebastien Bacher ]
  * Incorporate some tweaks for the desktop canary image:
    - tweak the defaults to create an 'installer only' layout
    - always display the accessibility menu in the installer
    - autostart the GUI
    - restore the session layout on exit for the 'try ubuntu' option
    - write a configuration to tell subiquity to use the hwe kernel

  [ Christian Jones ]
  * Remove duplicate definition of is_supported_fs and merge the lists of
    filesystems considered supported, restoring the ability to do a live
    boot/install from a UDF filesystem. (LP: #1989825)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 16 Sep 2022 13:30:44 +1200

casper (1.474) kinetic; urgency=medium

  * Run casper-md5check.service at the lowest possible IO priority to
    hopefully avoid starving IO with slow media.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 31 Aug 2022 09:42:25 +1200

casper (1.473) kinetic; urgency=medium

  * casper-helper: preserve entries 2-4 in the MBR when creating a new
    partition. (LP: #1977644, #1922342)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 05 Aug 2022 17:45:05 +1200

casper (1.472) kinetic; urgency=medium

  * Support iso-url= on the kernel command line as a synonym for url=, to
    help avoid the conflict with cloud-init over that argument. (LP: #1937319)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 03 Jun 2022 11:25:33 +1200

casper (1.471) kinetic; urgency=medium

  * Increase memory for qemu autopkgtest instances to 1G (LP: #1976287)

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 30 May 2022 14:40:38 +0000

## casper 1.480

=== debian/changelog ===
casper (1.480) lunar; urgency=medium

  * Use --try-or-install in the systemd unit of the new desktop installer,
    fixes the try/install page not being displayed
    https://github.com/canonical/ubuntu-desktop-installer/issues/1307

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 05 Feb 2023 11:39:30 +0100

casper (1.479) lunar; urgency=medium

  * Fix adduser, which fails due to systemd taking 999 (LP: #2004092).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 28 Jan 2023 21:09:53 -0600

casper (1.477) lunar; urgency=medium

  * The Type=simple change wasn't needed to see the startup time improvement.
    Move back to Type=oneshot to restore the completion event.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 05 Dec 2022 14:09:46 -0700

casper (1.476) lunar; urgency=medium

  * Change casper-md5check to Type=Simple to take advantage of the
    alternate interpretation of what started means relative to Type=oneshot.
    This should allow us to reach multi-user.target sooner, especially for
    users where the md5 check is slow. (LP: #1986781)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 23 Nov 2022 16:10:57 +1300

## casper 1.482

=== debian/changelog ===
casper (1.482) mantic; urgency=medium

  * scripts/casper: Use '-latest' links to download images (LP: #1990621).

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 11 Jul 2023 14:03:33 +0300

casper (1.481) mantic; urgency=medium

  * Set a nice value for md5check

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 25 Apr 2023 13:42:22 +0200

## casper 1.486

=== debian/changelog ===
casper (1.486) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop setting /run/kernel-meta-package, it is set at build time instead via
    /etc/subiquity/kernel-meta-package.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 02 Oct 2023 15:04:55 -0600

casper (1.485) mantic; urgency=medium

  [ Steve Langasek ]
  * Text-only fixes.

  [ Simon Quigley ]
  * Pre-seed LXQt Power Management settings so the user is not prompted on the
    live session.
  * Instead of calling xscreensaver in LXQt, call /usr/bin/true to avoid an
    error message.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Oct 2023 09:03:57 -0700

casper (1.484) mantic; urgency=medium

  [ Erich Eickmeyer ]
  * scripts/34disable_kde_services: Add ubuntustudio (LP: #2000787)

  [ Steve Langasek ]
  * scripts/34disable_kde_services: refactor to reduce code duplication.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2023 17:34:55 -0700

casper (1.483) mantic; urgency=medium

  * Disable locking the session for live Lubuntu users (LP: #2000787).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 29 Sep 2023 17:09:06 -0500

## casper 1.490

=== debian/changelog ===
casper (1.490) noble; urgency=medium

  * Add Edubuntu and Ubuntu Studio's new installer .desktop files.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 18 Dec 2023 15:13:52 -0800

casper (1.489) noble; urgency=medium

  * Instead of relying on Lubuntu.desktop to be present, rely on the desktop
    file Lubuntu actually calls. While the existing code works as-is, this
    makes it more future-proof.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 10 Dec 2023 10:09:29 -0600

casper (1.488) noble; urgency=medium

  * Remove support for LXDM and KDM, both LXQt and KDE flavors now use SDDM.
  * Add some extra verification and comments around the SDDM handling.
  * Lubuntu now uses lubuntu-live-environment.desktop for live session
    handling, provided by lubuntu-installer-prompt. Switch to using that
    instead.
  * Update Vcs-* to have a canonical URL instead of an lp: prefix.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Dec 2023 15:19:52 -0600

casper (1.487) noble; urgency=medium

  * Drop various initramfs scripts that are no longer needed:
    - 07remove_oem_config: oem-config is only seeded in 'ship*' seeds, so
      not installed in any live systems; therefore it never needs to be
      removed.
    - 16disable_gpt_auto_mount: gpt generator no longer shipped in systemd.
    - 26serialtty: upstart-specific.
    - 32disable_hibernation: now disabled in policykit-desktop-privileges in
      desktop-common.
    - 35fix_language_selector: addresses only obsolete programs and files.
    - 36disable_trackerd: trackerd no longer exists.
    - 48kubuntu_disable_restart_notifications:
      /usr/share/kubuntu-default-settings/kde4-profile/ no longer exists,
      if this is still needed it needs to be implemented differently.
    - 49kubuntu_mobile_session: kubuntu-mobile-default-settings is obsolete.
    - 50ubiquity-bluetooth-agent: bluetooth-applet no longer exists.
    - 51unity8_wizard: unity8 no longer exists (ubuntu-unity is unity 7).
  * 12fstab: /etc/rcS.d/S*checkroot.sh is obsolete, no need to remove.
  * 15autologin: remove obsolete fix-up specific to kubuntu-active.
  * 15autologin: remove obsolete fix-up for
    /usr/share/xsessions/QLubuntu.desktop.
  * 18hostname: don't invoke hostname here, it will be set from the rootfs
    at boot anyway.
  * 25adduser: drop code for Ubuntu MID, which was obsolete before Lucid
    released in 2010.
  * 25configure_init: drop code specific to sysvinit, upstart, and
    ureadahead.
  * 31disable_update_notifier: drop handling of obsolete adept_notifier.
  * 34disable_kde_services: don't try to remove obsolete desktop files.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Nov 2023 10:26:19 +0200

## casper 1.498

=== debian/changelog ===
casper (1.498) noble; urgency=medium

  * Redisable autolock in 34disable_kde-services on live.
    (LP: #2062402)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 18 Apr 2024 14:45:12 -0700

casper (1.497) noble; urgency=medium

  * Fix 34disable_kde_services to correctly disable
    kscreenlocker on live cd. (LP #2054246)

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 09 Apr 2024 10:23:40 -0700

casper (1.496) noble; urgency=medium

  * Allow Xubuntu's installer to be ran without marking the executable as
    trusted.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 09 Apr 2024 02:43:23 -0500

casper (1.495) noble; urgency=medium

  * Add Ubuntu Unity's Calamares shortcut to the desktop.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 26 Mar 2024 16:41:26 -0500

casper (1.494) noble; urgency=medium

  [ Aaron Rainbolt ]
  * check for kubuntu-live-environment before plasma.desktop.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Feb 2024 03:10:16 -0800

casper (1.493) noble; urgency=medium

  * Drop references to ubuntustudio-calamares.desktop since UbuntuStudio is
    now on ubuntu-desktop-bootstrap

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Feb 2024 23:23:33 -0800

casper (1.492) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Add Kubuntu's new Try or Install prompt and Calamares launcher shortcut
    to the live ISO experience

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Feb 2024 14:22:41 -0800

casper (1.491) noble; urgency=medium

  [ Erich Eickmeyer ]
  * Set ubuntu-desktop-provision.desktop files
    As of this writing, this benefits Ubuntu Desktop (GNOME),
    Edubuntu, Ubuntu Studio, Ubuntu Budgie, Ubuntu Cinnamon, and
    Xubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Feb 2024 12:46:52 -0800

## casper 1.498trisquel20

=== debian/changelog ===
casper (1.498trisquel20) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 13 May 2025 15:37:24 +0000

## casper 1.498trisquel21

=== debian/changelog ===
casper (1.498trisquel21) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 13 May 2025 20:36:39 +0000

## casper 1.498trisquel22

=== debian/changelog ===
casper (1.498trisquel22) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 14 May 2025 19:35:46 +0000

## casper 1.498trisquel23

=== debian/changelog ===
casper (1.498trisquel23) ecne; urgency=medium

  * Compiled and customized for Trisquel enviroment.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Jul 2025 06:13:37 +0000

## casper 1.498trisquel24

=== debian/changelog ===
casper (1.498trisquel24) ecne; urgency=medium

  * Compiled and customized for Trisquel enviroment.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 20 Jul 2025 18:54:07 +0000

## casper 1.498trisquel25

=== debian/changelog ===
casper (1.498trisquel25) ecne; urgency=medium

  * Compiled and customized for Trisquel enviroment.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 30 Aug 2025 23:40:38 +0000

## casper 1.498trisquel26

=== debian/changelog ===
casper (1.498trisquel26) ecne; urgency=medium

  * Compiled and customized for Trisquel enviroment.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 19 Sep 2025 10:14:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: casper
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 9.20160709), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
 Standards-Version: 3.9.3
-Vcs-Git: lp:casper
+Vcs-Browser: https://git.launchpad.net/casper
+Vcs-Git: https://git.launchpad.net/casper
 
 Package: casper
 Architecture: any

## casper 1.498trisquel27

=== debian/changelog ===
casper (1.498trisquel27) ecne; urgency=medium

  * Compiled and customized for Trisquel enviroment.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Dec 2025 03:28:28 +0000

## casper 1.498trisquel28

=== debian/changelog ===
casper (1.498trisquel28) ecne; urgency=medium

  * Compiled and customized for Trisquel enviroment.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Dec 2025 03:39:22 +0000

## casper 1.500

=== debian/changelog ===
casper (1.500) oracular; urgency=medium

  * Use wayland for the desktop live session

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Jun 2024 21:20:31 +0200

## casper 1.502

=== debian/changelog ===
casper (1.502) oracular; urgency=medium

  * [ Erich Eickmeyer ]
    Fix x11 autologin issue related to the rename of the session file

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 13 Sep 2024 12:17:13 -0600

casper (1.501) oracular; urgency=medium

  * Enable frame pointers

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 15 Jul 2024 13:14:18 -0600

## casper 2.44.0

=== DESCRIPTION ===
Package: casper
Version: 2.44.0
Date: 2025-07-22
Title: Characterization of Alternative Splicing based on Paired-End
        Reads
Author: David Rossell, Camille Stephan-Otto, Manuel Kroiss, Miranda
        Stobbe, Victor Pena
Maintainer: David Rossell <rosselldavid@gmail.com>
Depends: R (>= 3.6.0), Biobase, IRanges, methods, GenomicRanges
Imports: BiocGenerics (>= 0.31.6), coda, EBarrays, gaga, gtools,
        Seqinfo, GenomicFeatures, limma, mgcv, Rsamtools, rtracklayer,
        S4Vectors (>= 0.9.25), sqldf, survival, VGAM
Enhances: parallel
Description: Infer alternative splicing from paired-end RNA-seq data.
        The model is based on counting paths across exons, rather than
        pairwise exon connections, and estimates the fragment size and
        start distributions non-parametrically, which improves
        estimation precision.
License: GPL (>=2)
LazyLoad: yes
Collate: GenericDefs.R ClassDefinitions.R asymmetryCheck.R calcDenovo.R
        calcExp.R casperVignettes.R createDenovoGenome.R genePlot.R
        getDistrs.R getRoc.R denovoExpr.R makeTranscriptDbFromGFF.R
        mergeBatches.R mergeExp.R modelPrior.R pathCounts.R
        probNonEquiv.R procBam.R procGenome.R qqnormGenomeWide.R
        relexprByGene.R rmShortInserts.R simMultSamples.R simPost.R
        simReads.R splitGenomeByLength.R truncnorm.R wrapKnown.R
        checks.R wrapDenovo.R
biocViews: ImmunoOncology, GeneExpression, DifferentialExpression,
        Transcription, RNASeq, Sequencing
git_url: https://git.bioconductor.org/packages/casper
git_branch: RELEASE_3_22
git_last_commit: 9f5a6ac
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: yes
Packaged: 2025-10-30 02:57:55 UTC; biocbuild

## casper 2.45.0

=== DESCRIPTION ===
Package: casper
Version: 2.45.0
Date: 2025-07-22
Title: Characterization of Alternative Splicing based on Paired-End
        Reads
Author: David Rossell, Camille Stephan-Otto, Manuel Kroiss, Miranda
        Stobbe, Victor Pena
Maintainer: David Rossell <rosselldavid@gmail.com>
Depends: R (>= 3.6.0), Biobase, IRanges, methods, GenomicRanges
Imports: BiocGenerics (>= 0.31.6), coda, EBarrays, gaga, gtools, Seqinfo, GenomicFeatures, limma, mgcv, Rsamtools, rtracklayer, S4Vectors (>= 0.9.25), sqldf, survival, VGAM
Enhances: parallel
Description: Infer alternative splicing from paired-end RNA-seq data.
        The model is based on counting paths across exons, rather than
        pairwise exon connections, and estimates the fragment size and
        start distributions non-parametrically, which improves
        estimation precision.
License: GPL (>=2)
LazyLoad: yes
Collate: GenericDefs.R ClassDefinitions.R asymmetryCheck.R calcDenovo.R calcExp.R
        casperVignettes.R createDenovoGenome.R genePlot.R getDistrs.R getRoc.R
        denovoExpr.R makeTranscriptDbFromGFF.R mergeBatches.R mergeExp.R modelPrior.R
        pathCounts.R probNonEquiv.R procBam.R procGenome.R qqnormGenomeWide.R
        relexprByGene.R rmShortInserts.R simMultSamples.R simPost.R simReads.R
        splitGenomeByLength.R truncnorm.R wrapKnown.R checks.R wrapDenovo.R
biocViews: ImmunoOncology, GeneExpression, DifferentialExpression, Transcription,
        RNASeq, Sequencing
git_url: https://git.bioconductor.org/packages/casper
git_branch: devel
git_last_commit: 8f208d9
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.23

## casper 25.04.1

=== debian/changelog ===
casper (25.04.1) plucky; urgency=medium

  * [ Aaron Rainbolt ]
    Update expected location for kubuntu-live-environment.desktop to match
    kubuntu-installer-prompt 25.04.1.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 13 Jan 2025 13:24:17 -0700

## casper 25.10.1

=== debian/changelog ===
casper (25.10.1) questing; urgency=medium

  * Live session no longer includes x11, so use wayland

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 14 Sep 2025 17:49:18 -0700

## casper 25.10.2

=== Makefile ===
# Looking in which build system we are
BUILD_SYSTEM := $(shell lsb_release --short --id)

all:
	# Setting BUILD_SYSTEM in the binary package
	sed -i -e 's/\(BUILD_SYSTEM="\).*"/\1'$(BUILD_SYSTEM)'"/g' casper.conf

	$(MAKE) -C casper-md5check
	set -e; \
	for x in bin/* scripts/casper scripts/casper-bottom/* \
	         ubiquity-hooks/*; do \
		sh -n $$x; \
	done

clean:
	$(MAKE) -C casper-md5check clean

=== casper-md5check/Makefile ===
CC=gcc
PKG_CONFIG=pkg-config
CFLAGS+=$(shell getconf LFS_CFLAGS)
CFLAGS+=$(shell $(PKG_CONFIG) --cflags ply-boot-client)
CFLAGS+=-Wall -Wno-unused-result
LDLIBS=$(shell $(PKG_CONFIG) --libs ply-boot-client)

casper-md5check: casper-md5check.c md5.c
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LDLIBS)

clean:
	rm -f *.o casper-md5check

=== debian/changelog ===
casper (25.10.2) questing; urgency=medium

  * d/t/{prep-image,boot}: use flock -x to guard against races with udev

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 24 Sep 2025 16:22:43 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: casper
 Section: misc
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9.20160709), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
 Standards-Version: 3.9.3
 Vcs-Browser: https://git.launchpad.net/casper

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+export DEB_VERSION := $(shell dpkg-parsechangelog -SVersion)
+export DEB_SOURCE := $(shell dpkg-parsechangelog -SSource)
+export DEB_BUILD_OS_RELEASE_ID := $(shell . /usr/lib/os-release && echo $$ID)
 
 %:
 	dh $@ --with systemd

## casper 25.10.2build1

=== debian/changelog ===
casper (25.10.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:22:53 +0100

## casper 26.04.0

=== debian/changelog ===
casper (26.04.0) resolute; urgency=medium

  [ David Mohammed ]
  * Add Live Session SDDM based autologin for Ubuntu Budgie

  [ Alessandro Astone ]
  * Prevent gnome-initial-setup from running in the live session by linking
    its systemd units to /dev/null.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 05 Feb 2026 12:06:40 +1300
